package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest
 * @class AlipayOpenApiBaseRequest
 * @date 2023/5/5 下午2:31
 * @description
 */
@Data
public class AlipayOpenApiBaseRequest {

    /**
     * isv的商户id
     */
    @ApiModelProperty(value = "isv的商户id")
    @JSONField(name = "isv_pid")
    private String isvPid;
    /**
     * 机构编码
     */
    @ApiModelProperty(value = "机构编码")
    @JSONField(name = "org_out_id")
    private String orgOutId;

    private String appId;


}
