package cn.hanghui.outapi.platform.tenant.entity.config.auth;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.config.auth
 * @class DeviceConfigBean
 * @date 2024/7/1 下午3:37
 * @description
 */
@Data
public class DeviceConfigBean implements Serializable {

    @ApiModelProperty(value = "模块开关")
    private Boolean moduleSwitch;

    /**
     * @see cn.hanghui.outapi.platform.tenant.entity.enums.ModuleTypeEnum
     */
    @ApiModelProperty(value = "模块类型 枚举ModuleTypeEnum")
    private Integer moduleType;

    @ApiModelProperty(value = "模块选中的值")
    private List<Object> moduleValues;


}
