package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class AppApkPageDto
 * @date 2023/10/8 下午2:53
 * @description
 */
@Data
public class AppApkPageDto {

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "第几页 起始页1")
    private Integer pageNumber = 1;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize = 10;


}
