package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.po
 * @class AppApk
 * @date 2023/10/8 下午2:53
 * @description
 */
@Data
public class AppApkVo {

    private Long id;

    @ApiModelProperty(value = "安装包名称")
    private String apkTitle;

    @ApiModelProperty(value = "安装包版本")
    private String apkVersion;

    @ApiModelProperty(value = "安装包的地址")
    private String apkPath;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
