package cn.hanghui.outapi.platform.tenant.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class AppLogDto
 * @date 2023/12/19 上午11:16
 * @description
 */
@Data
public class AppLogVo implements Serializable {

    private Long id;

    @ApiModelProperty(value = "设备sn")
    private String sn;

    @ApiModelProperty(value = "日志类型Logcat/Error/Crash")
    private String logType;

    @ApiModelProperty(value = "日志标签")
    private String logTag;

    @ApiModelProperty(value = "日志内容")
    private String logContent;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
