package cn.hanghui.outapi.platform.tenant.entity.dto.hhculture;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhculture
 * @class HHCultureDeviceTemplateDto
 * @date 2024/7/19 上午10:36
 * @description
 */
@Data
public class HhCultureDeviceTemplateDto extends HhCultureDeviceBase {

    @ApiModelProperty(value = "设备模版id")
    private Long deviceTemplateId;

    @ApiModelProperty(value = "模版名称")
    @NotBlank(message = "请输入模版名称")
    private String templateName;


}
