package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal
 * @class HhLocalDeviceTemplateDto
 * @date 2024/9/25 上午9:26
 * @description
 */
@Data
public class HhLocalDeviceTemplateDto extends HhLocalDeviceBase {

    @ApiModelProperty(value = "设备模版id")
    private Long deviceTemplateId;

    @ApiModelProperty(value = "模版名称")
    @NotBlank(message = "请输入模版名称")
    private String templateName;


}
