package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.hhlocal
 * @class HhLocalDeviceVo
 * @date 2024/7/19 上午11:23
 * @description
 */
@Data
public class HhLocalDeviceVo extends HhLocalDeviceBase {

    private Long id;

    private String sn;
    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;
    @ApiModelProperty("购买方公司名称")
    private String companyName;
    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "授权状态  false：未授权 true：已授权")
    private Boolean status;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
