package cn.hanghui.outapi.platform.tenant.entity.dto.proof;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.proof
 * @class ProvisionalIdentityProofTemplateDto
 * @date 2024/5/13 上午11:26
 * @description
 */
@Data
public class ProvisionalIdentityProofTemplateVo extends ProvisionalIdentityProofTemplateDto implements Serializable {

    @ApiModelProperty(value = "应用类型")
    private String applicationType;
    @ApiModelProperty(value = "设备型号(硬件)")
    private String deviceModelHardware;
    @ApiModelProperty(value = "设备型号(环境)")
    private String deviceModelEnvironment;
    @ApiModelProperty(value = "系统类型")
    private String systemType;
    @ApiModelProperty(value = "小程序授权配置名称")
    private String provisionalProofNoticeName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
