package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 场景
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "Scene", autoResultMap = true)
public class Scene extends Base {

    /**
     * 场景名称（出⾏/企业）
     */
    private String sceneName;

    /**
     * 场景参数（TRAFFIC/COMPANY）
     */
    private String trade;


}
