package cn.hanghui.outapi.platform.wuxiairport.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PushPersonInfoDto {

    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String sfzh;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String xm;

    /**
     * 手机号码，可选
     */
    @ApiModelProperty("手机号码，可选")
    private String phone;

    /**
     * 现场采集照片，base64编码
     */
    @ApiModelProperty("现场采集照片，base64编码")
    private String scene_xp;

    /**
     * 设备地址：省
     */
    @ApiModelProperty("设备地址：省")
    private String province;

    /**
     * 市
     */
    @ApiModelProperty("市")
    private String city;

    /**
     * 县、区
     */
    @ApiModelProperty("县、区")
    private String county_area;

    /**
     * 使用单位
     */
    @ApiModelProperty("使用单位")
    private String user_name;

    /**
     * 详细地址
     */
    @ApiModelProperty("详细地址")
    private String addr;

    /**
     * 派出所名称
     */
    @ApiModelProperty("派出所名称")
    private String pcs_name;

    /**
     * 派出所代码
     */
    @ApiModelProperty("派出所代码")
    private String pcs_dm;

    /**
     * 自助办证机编号
     */
    @ApiModelProperty("自助办证机编号")
    private String machine_id;

    /**
     * 办证时间
     */
    @ApiModelProperty("办证时间")
    private String cxsj;

    /**
     * 此信息唯一ID
     */
    @ApiModelProperty("此信息唯一ID")
    private String msg_id;
}
