package cn.hanghui.outapi.platform.xinghuo.entity.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel(value = "申请凭证返回")
public class ApplyProofApiResult implements Serializable {

    /**
     * 凭证有效期
     */
    @ApiModelProperty(value = "凭证有效期")
    private String validTime;

    /**
     * 是否重点人员
     */
    @ApiModelProperty(value = "是否重点人员")
    private Integer isFocusOnPeople;

    /**
     * 二维码图片
     */
    @ApiModelProperty(value = "二维码图片")
    private String qrcode;
}
