package cn.hanghui.outapi.platform.alipay.entity.rest.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest
 * @class AlipayOperateRecordInfoWithVidApiRequest
 * @date 2023/5/5 下午2:38
 * @description 用户信息vid
 */
@Data
public class AlipayOperateRecordInfoWithVidApiRequest {

    /**
     * 用户核身唯一标识
     */
    @JSONField(name = "vid")
    private String vid;
    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    @JSONField(name = "cert_type")
    private String certType;
    /**
     * 证件号码
     */
    @JSONField(name = "cert_no")
    private String certNo;
    /**
     * 用户姓名
     */
    @JSONField(name = "cert_name")
    private String certName;
    /**
     * 手机号
     */
    @JSONField(name = "phone")
    private String phone;
    /**
     * 头像
     */
    @JSONField(name = "avatar")
    private String avatar;

    /**
     * 扩展信息
     */
    @JSONField(name = "ext")
    private String ext;

}
