package cn.hanghui.outapi.platform.alipay.entity.rest.response;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.alipay.entity.rest
 * @class AlipayAmpeSignOpenApiRequest
 * @date 2023/5/5 下午2:37
 * @description 设备签名
 */
@Data
public class AlipayAmpeSignOpenApiResponse implements Serializable {

    /**
     * 门户设备产品注册得到的productId
     */
    @JsonProperty("PRODUCT_ID")
    private String productId;

    /**
     * 一个产品下的唯一设备识别号,厂商自定义,建议使用SN等设备标识
     */
    @JsonProperty("DEVICE_ID")
    private String deviceId;

    @JsonProperty("APP_ID")
    private String appId;

    @JsonProperty("signature")
    private String signature;

    @JsonProperty("HOST_APP_ID")
    private String hostAppId;

    // app应用名称
    private String appName;

    //启动页图片url地址
    private String startPageUrl;

    //首页图片地址
    private String homePageUrl;


}
