package cn.hanghui.outapi.platform.common.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value = "account", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
public class Account extends Base {

    /**
     * 账号名称
     */
    private String name;

    /**
     * 账号密码
     */
    private String password;

    /**
     * 派出所 9位代码 多个用,逗号分隔
     */
    private String pcsCode;

    /**
     * 账号类型 0:超级管理员 1:普通管理员 2:授权账号 AccountTypeEnum
     */
    private Integer accountType;

}
