package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotPlatformAuthDto
 * @date 2023/6/9 下午2:33
 * @description
 */
@Data
public class IotPlatformAuthDto {

    private Long id;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "场景")
    private String scene;

    @ApiModelProperty(value = "联系人")
    private String contactPerson;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "派出所名称")
    private String pcsName;

    @ApiModelProperty(value = "派出所编码")
    private String pcsCode;

    @ApiModelProperty(value = "区域名称")
    private String areaName;

    @ApiModelProperty(value = "数据源")
    private String dataSource;

    @ApiModelProperty(value = "请求验证token")
    private String token;

    @ApiModelProperty(value = "总调用次数 默认0不限制 只做增加操作")
    private Integer reqTimesLimit;

    @ApiModelProperty(value = "已调用次数 默认0")
    private Integer usedReqTimes;

    /**
     * 是否可用 true/false
     */
    private Boolean status;




}
