package cn.hanghui.outapi.platform.tenant.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto
 * @class IotUserInfoDto
 * @date 2023/6/9 下午4:19
 * @description
 */
@Data
public class IotUserInfoDto implements Serializable {

    @ApiModelProperty(value = "验证token")
    private String token;

    /**
     * 证件类型，IDENTITY_CARD身份证，PASS_PORT护照，STU_NUM学生学号，COMPANY_NUM工号，TAIWAN_CARD台胞证，HK_MC_CARD港澳证件
     */
    @ApiModelProperty(value = "证件类型 IDENTITY_CARD 身份证")
    private String certTyp = "IDENTITY_CARD";

    @ApiModelProperty(value = "证件号码")
    private String certNo;

    @ApiModelProperty(value = "用户姓名")
    private String certName;

    @ApiModelProperty(value = "支付宝绑定手机号")
    private String phone;

    @ApiModelProperty(value = "唯一标识")
    private String taskId;

    @ApiModelProperty(value = "支付宝userId")
    private String userId;

    @ApiModelProperty(value = "推送地址")
    private String pushUrl;


}
