package cn.hanghui.outapi.platform.tenant.entity.dto.account;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.BaseSearch;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.account
 * @class AccountDto
 * @date 2024/7/1 下午4:20
 * @description
 */
@Data
public class AccountSearch extends BaseSearch {

    private Long accountId;

    @ApiModelProperty(value = "购买方公司ID")
    private Long purchaserId;

    @ApiModelProperty(value = "HhArome权限开关 默认false:关闭 true:开启")
    private Boolean hhAromeSwitch;


}
