package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistTaskDto
 * @date 2024/8/28 下午4:17
 * @description
 */
@Data
public class UserBlacklistTaskDto implements Serializable {

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;

    @ApiModelProperty(value = "黑名单集合")
    List<UserBlacklistBean> userBlacklist;

}
