package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.blacklist
 * @class UserBlacklistTaskVo
 * @date 2024/8/28 下午4:17
 * @description
 */
@Data
public class UserBlacklistTaskVo implements Serializable {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "购买方公司id")
    private Long purchaserId;

    @ApiModelProperty("购买方公司名称")
    private String purchaserName;

    @ApiModelProperty(value = "黑名单集合")
    List<UserBlacklistBean> userBlacklist;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
