package cn.hanghui.outapi.platform.tenant.entity.dto.open;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author shisl
 * @package cn.hanghui.outapi.platform.tenant.entity.dto.open
 * @class RecurrentPopulationRequestDto
 * @date 2024/2/29 下午3:08
 * @description
 */
@Data
public class RecurrentPopulationRequestDto implements Serializable {

    @ApiModelProperty("应用id唯一标识")
    private String appId;

    //RpRequestDTO
    @ApiModelProperty("加密内容 {\"xm\":\"姓名\",\"sfzh\":\"身份证号\",\"lxdh\":\"联系电话\",\"pcs\":\"派出所\",\"jwh\":\"居委会\",\"xzdxz\":\"现住地详址\",\"sblx\":\"申报类型\"}")
    private String bizContent;

    @ApiModelProperty("时间戳 毫秒")
    private Long reqTimestamp;

    @ApiModelProperty(value = "签名md5(appKey+appSecret+timestamp) 小写32位")
    private String sign;
}
