package cn.hanghui.outapi.platform.tenant.entity.po;

import cn.hanghui.outapi.platform.common.entity.po.Base;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2023-12-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ampe")
@ApiModel(value="Ampe对象", description="")
public class Ampe extends Base {

    @ApiModelProperty(value = "ampe平台名称")
    @TableField("ampe_name")
    private String ampeName;

    @ApiModelProperty(value = "产品ID(product_id)")
    @TableField("product_id")
    private String productId;

    @ApiModelProperty(value = "调用应用（ampe_appid）")
    @TableField("host_app_id")
    private String hostAppId;

    @ApiModelProperty(value = "小程序AppId（miniProgram_appid）")
    @TableField("app_id")
    private String appId;

    @ApiModelProperty(value = "小程序名称")
    @TableField("app_name")
    private String appName;

}
