package cn.hanghui.outapi.platform.tenant.service;

import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.application.device.ApplicationTypeDto;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.application.device.ApplicationTypeSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.maintenance.application.device.ApplicationTypeVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 应用类型 服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-27
 */
public interface ApplicationTypeService {

    Boolean edit(ApplicationTypeDto dto);
    List<ApplicationTypeVo> applicationTypeList();
    IPage<ApplicationTypeVo> applicationTypePage(ApplicationTypeSearch dto);
    Boolean applicationTypeDelete(Long applicationTypeId);
}
