package cn.hanghui.outapi.platform.xinghuo.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel(value = "申请凭证参数")
@EqualsAndHashCode(callSuper = true)
public class ApplyProofDto extends XinghuoBaseDto {

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号", required = true)
    private String sfzh;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名", required = true)
    private String xm;

    /**
     * 省
     */
    @ApiModelProperty(value = "省", required = true)
    private String province;

    /**
     * 市
     */
    @ApiModelProperty(value = "市", required = true)
    private String city;

    /**
     * 县、区
     */
    @ApiModelProperty(value = "县、区", required = true)
    private String county_area;

    /**
     * 详细地址
     */
    @ApiModelProperty(value = "详细地址", required = true)
    private String addr;

    /**
     * 照片BASE64
     */
    @ApiModelProperty(value = "照片BASE64", required = true)
    private String scene_xp;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 民族
     */
    @ApiModelProperty(value = "民族")
    private String nation = "汉族";
}
