package cn.hanghui.outapi.platform.xinghuo.entity.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "根据二维码获取凭证信息")
public class GetProofByQrCodeApiResult {

    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号")
    private String idCardNo;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 地址
     */
    @ApiModelProperty(value = "地址")
    private String address;

    /**
     * 民族
     */
    @ApiModelProperty(value = "民族")
    private String nation;

    /**
     * 照片BASE64
     */
    @ApiModelProperty(value = "照片BASE64")
    private String photo;

    /**
     * 手机号
     */
    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 凭证申请日期
     */
    @ApiModelProperty(value = "凭证申请日期")
    private String applyTime;

    /**
     * 凭证有效日期
     */
    @ApiModelProperty(value = "凭证有效日期")
    private String validTime;

    /**
     * 生日
     */
    @ApiModelProperty(value = "生日")
    private Birthday birthday;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String sex;
}
